RoboCupMS

Public Member Functions | List of all members
com.robogames.RoboCupMS.Entity.Competition Class Reference

## Public Member Functions
| Competition ()
| Competition (int _year, Date _date, Time _start, Time _end)
Long | getID ()
int | getYear ()
Date | getDate ()
Time | getStartTime ()
Time | getEndTime ()
Boolean | getStarted ()
void | setYear (int _year)
void | setDate (Date _date)
void | setStartTime (Time _time)
void | setEndTime (Time _time)
void | setStarted (Boolean s)
List< TeamRegistration > | getRegistrations ()

## Constructor & Destructor Documentation

## ◆ Competition() [1/2]

com.robogames.RoboCupMS.Entity.Competition.Competition | ( |  | ) |
| inline

Vytvori instanci rocniku souteze. Do souteze se muzi registrovat tymy, ktere chteji v tomto danem rocniku soutezit.

## ◆ Competition() [2/2]

com.robogames.RoboCupMS.Entity.Competition.Competition | ( | int | _year,
|  | Date | _date,
|  | Time | _start,
|  | Time | _end
| ) |  |
| inline

Vytvori instanci rocniku souteze. Do souteze se muzi registrovat tymy, ktere chteji v tomto danem rocniku soutezit.

Parameters

  _year | Rocnik souteze
  _date | Datum konani souteze
  _start | Cas zacatku souteze
  _end | Cas ukonceni souteze

## Member Function Documentation

## ◆ getDate()

Date com.robogames.RoboCupMS.Entity.Competition.getDate | ( |  | ) |
| inline

Narati datum konani souteze

Returns
  Datum konani souteze

## ◆ getEndTime()

Time com.robogames.RoboCupMS.Entity.Competition.getEndTime | ( |  | ) |
| inline

Navrati cas konce souteze

Returns
  Cas konce souteze

## ◆ getID()

Long com.robogames.RoboCupMS.Entity.Competition.getID | ( |  | ) |
| inline

Navrati ID souteze

Returns
  ID souteze

## ◆ getRegistrations()

List<TeamRegistration> com.robogames.RoboCupMS.Entity.Competition.getRegistrations | ( |  | ) |
| inline

Navrati vsechny registrace tymu do tohoto rocniku souteze

Returns
  Seznam vsech registraci

## ◆ getStarted()

Boolean com.robogames.RoboCupMS.Entity.Competition.getStarted | ( |  | ) |
| inline

Navrati stav souteze (zacala/nazacala)

Returns
  Stav souteze

## ◆ getStartTime()

Time com.robogames.RoboCupMS.Entity.Competition.getStartTime | ( |  | ) |
| inline

Navrati cas zacatku souteze

Returns
  Cas zacatku souteze

## ◆ getYear()

int com.robogames.RoboCupMS.Entity.Competition.getYear | ( |  | ) |
| inline

Navrati rocnik souteze

Returns
  Rocnik souteze

## ◆ setDate()

void com.robogames.RoboCupMS.Entity.Competition.setDate | ( | Date | _date | ) |
| inline

Nastavi datum konani

Parameters

  _date | Datum konani souteze

## ◆ setEndTime()

void com.robogames.RoboCupMS.Entity.Competition.setEndTime | ( | Time | _time | ) |
| inline

Nastavi cas konce souteze

Parameters

  _time | Cas konce souteze

## ◆ setStarted()

void com.robogames.RoboCupMS.Entity.Competition.setStarted | ( | Boolean | s | ) |
| inline

Nastavi stav souteze (zacala/nezacala)

Parameters

  s | Stav

## ◆ setStartTime()

void com.robogames.RoboCupMS.Entity.Competition.setStartTime | ( | Time | _time | ) |
| inline

Nastavi cas zacatku souteze

Parameters

  _time | Cas zacatku souteze

## ◆ setYear()

void com.robogames.RoboCupMS.Entity.Competition.setYear | ( | int | _year | ) |
| inline

Nastavi rocnik

Parameters

  _year | Rocnik souteze

The documentation for this class was generated from the following file:

- /home/martin/Programing/RoboCupMS/src/main/java/com/robogames/RoboCupMS/Entity/Competition.java